Bug 1283711 - Console: unsupported locales results in mixed languages in BC
Console: unsupported locales results in mixed languages in BC
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
x86_64 Linux
medium Severity medium
: DR2
: 6.3.0
Assigned To: Neus Miras
Pavel Kralik
:
Depends On:
Blocks: 1283916 1283912
  Show dependency treegraph
 
Reported: 2015-11-19 11:15 EST by Pavel Kralik
Modified: 2016-03-11 12:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Mixed languages in BC with unsupported locales (56.95 KB, image/png)
2015-11-19 11:15 EST, Pavel Kralik
no flags Details
Chinese filters with English locales. (42.84 KB, image/png)
2016-02-25 08:31 EST, Pavel Kralik
no flags Details

  None (edit)
Description Pavel Kralik 2015-11-19 11:15:47 EST
Created attachment 1096767 [details]
Mixed languages in BC with unsupported locales

Description of problem:
When unsupported locales are chosen, than the BC is translated to several languages

Version-Release number of selected component (if applicable):
BPMS 6.2.0.CR1

How reproducible:
Always

Steps to Reproduce:
1. go to the business central with unsupported locales eg.
   http://localhost:8080/business-central/kie-wb.html?locale=cs_CZ 
2. Go to Console where some filters are presented. Jobs, Process Instances, Tasks
3. Menu is in English and filters are in different language

Actual results:
Mixed languages in BC

Expected results:
BC is in English

Additional info:
Comment 2 Pavel Kralik 2015-11-20 04:43:34 EST
Reproducer:
1) Work with supported locales, eg. Chinese
   http://localhost:8080/business-central/kie-wb.html?locale=zh_CN
2) Set back to unsupported or english
   http://localhost:8080/business-central/kie-wb.html?locale=cs_CZ
   or
   http://localhost:8080/business-central/kie-wb.html
3) you can see mixed languages
4) Restart browser and mixed languages are set after restart too
Comment 3 Neus Miras 2015-12-15 08:37:26 EST
Is the same issue as https://bugzilla.redhat.com/show_bug.cgi?id=1283916 
Currently, If you want regenerate the titles in one specific locale of the default filters you have to restore the default filters navigating in that locale
Comment 4 Pavel Kralik 2016-02-25 08:30:02 EST
I worked in Chinese locales and then switched to English. Filters in Jobs/Process Instances/Tasks Perspectives are in Chinese. BPMS6.3.0.DR1
Comment 5 Pavel Kralik 2016-02-25 08:31 EST
Created attachment 1130538 [details]
Chinese filters with English locales.
Comment 6 Neus Miras 2016-02-27 09:01:46 EST
The title and description of the filter are introduced in one specific locale and it doesn't change when the user change the navigation language.
This commits adds the ability of translate just the default filters title and description in each section: Task, process instance and jobs.
Here the PRs:

master
https://github.com/droolsjbpm/jbpm-console-ng/pull/343

6.4.x
https://github.com/droolsjbpm/jbpm-console-ng/pull/344

The sensation of mixing languages will remains with the filters that have been created by the user.
In the future, be can add the ability of introduce the titles and descriptions in different languages
Comment 7 Neus Miras 2016-02-29 05:23:51 EST
Merged

master
https://github.com/droolsjbpm/jbpm-console-ng/commit/5dd16b266cc6a8f8960de84a9d67a9bd72196dfc

6.4.xhttps://github.com/droolsjbpm/jbpm-console-ng/commit/77b224ea6457cce4a39aadc69557e635de63ea07
Comment 8 Pavel Kralik 2016-03-11 12:08:57 EST
BPMS 6.3.0.DR2

Note You need to log in before you can comment on or make changes to this bug.